﻿$ErrorActionPreference = 'Stop';

$packageName= 'GnuCOBOL'
$distDir    = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://sourceforge.net/projects/open-cobol/files/gnucobol/3.1/gnucobol-3.1-rc1_win.zip/download'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $distDir
  fileType      = 'exe'
  url           = $url

  softwareName  = 'GnuCOBOL*'

  checksum      = 'E68C3B9D8E18439C51130E138B9706F4'
  checksumType  = 'md5'
}

Install-ChocolateyZipPackage @packageArgs